DataField

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.java
Class DataField

    java.lang.Object
      org.openswing.swing.pivottable.java.DataField

All Implemented Interfaces:
  java.io.Serializable

public class DataField
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Data field descriptor, used when defining a pivot table.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`DataField(java.lang.String columnName, int width)`
`DataField(java.lang.String columnName, int width, GenericFunction function)`
`DataField(java.lang.String columnName, int width, java.lang.String description)`
`DataField(java.lang.String columnName, int width, java.lang.String description, GenericFunction function)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getColumnName()`
`java.lang.String` | `getDescription()`
`java.text.NumberFormat` | `getFormatter()`
`GenericFunction` | `getFunction()`
`int` | `getWidth()`
`int` | `hashCode()`
`void` | `setFormatter(java.text.NumberFormat formatter)` Set the numeric formatter.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataField

    public DataField(java.lang.String columnName,
                     int width)

### DataField

    public DataField(java.lang.String columnName,
                     int width,
                     java.lang.String description)

### DataField

    public DataField(java.lang.String columnName,
                     int width,
                     GenericFunction function)

### DataField

    public DataField(java.lang.String columnName,
                     int width,
                     java.lang.String description,
                     GenericFunction function)

Method Detail

### getColumnName

    public java.lang.String getColumnName()

### getWidth

    public int getWidth()

### getFunction

    public GenericFunction getFunction()

### getDescription

    public java.lang.String getDescription()

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public final int hashCode()

### getFormatter

    public final java.text.NumberFormat getFormatter()

  Returns:
    numeric formatter

### setFormatter

    public final void setFormatter(java.text.NumberFormat formatter)

  Set the numeric formatter.

  Parameters:
    `formatter` - numeric formatter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD